diff -urN bind9-9.7.3.dfsg.orig//debian/bind9.init bind9-9.7.3.dfsg/debian/bind9.init
--- bind9-9.7.3.dfsg.orig//debian/bind9.init	2013-02-26 12:13:39.000000000 +0100
+++ bind9-9.7.3.dfsg/debian/bind9.init	2013-02-26 12:49:34.000000000 +0100
@@ -18,14 +18,15 @@
 # for a chrooted server: "-u bind -t /var/lib/named"
 # Don't modify this line, change or create /etc/default/bind9.
 OPTIONS=""
+RNDCOPTIONS=""
 RESOLVCONF=no
+PIDFILE=/var/run/named/named.pid
 
 test -f /etc/default/bind9 && . /etc/default/bind9
 
 test -x /usr/sbin/rndc || exit 0
 
 . /lib/lsb/init-functions
-PIDFILE=/var/run/named/named.pid
 
 check_network() {
     if [ -x /usr/bin/uname ] && [ "X$(/usr/bin/uname -o)" = XSolaris ]; then
@@ -82,7 +83,7 @@
 	if [ "X$RESOLVCONF" != "Xno" ] && [ -x /sbin/resolvconf ] ; then
 	    /sbin/resolvconf -d lo.named
 	fi
-	pid=$(/usr/sbin/rndc stop -p | awk '/^pid:/ {print $2}') || true
+	pid=$(/usr/sbin/rndc ${RNDCOPTIONS} stop -p | awk '/^pid:/ {print $2}') || true
 	if [ -z "$pid" ]; then		# no pid found, so either not running, or error
 	    pid=$(pgrep -f ^/usr/sbin/named) || true
 	    start-stop-daemon --stop --oknodo --quiet --exec /usr/sbin/named \
@@ -104,7 +105,7 @@
 	    log_end_msg 1
 	fi
 
-	/usr/sbin/rndc reload >/dev/null && log_end_msg 0 || log_end_msg 1
+	/usr/sbin/rndc ${RNDCOPTIONS} reload >/dev/null && log_end_msg 0 || log_end_msg 1
     ;;
 
     restart)
diff -urN bind9-9.7.3.dfsg.orig//debian/bind9.postinst bind9-9.7.3.dfsg/debian/bind9.postinst
--- bind9-9.7.3.dfsg.orig//debian/bind9.postinst	2013-02-26 12:13:39.000000000 +0100
+++ bind9-9.7.3.dfsg/debian/bind9.postinst	2013-02-26 12:41:03.000000000 +0100
@@ -77,6 +77,14 @@
         else
                 echo "OPTIONS=\"\"" >> $config
         fi
+        
+        echo '' >> $config
+        echo '# PID file (update for chrooted environment)' >> $config
+        echo '#PIDFILE=/var/run/named/named.pid' >> $config
+        
+        echo '' >> $config
+        echo '# RNDC options (update for chrooted environment)' >> $config
+        echo '#RNDCOPTIONS=""' >> $config
     else
         db_get bind9/run-resolvconf
          if [ ! -z "$RET" ] && [ "$RET" = "true" ]; then
diff -urN bind9-9.7.3.dfsg.orig//debian/rules bind9-9.7.3.dfsg/debian/rules
--- bind9-9.7.3.dfsg.orig//debian/rules	2013-02-26 12:13:39.000000000 +0100
+++ bind9-9.7.3.dfsg/debian/rules	2013-02-26 12:20:15.000000000 +0100
@@ -40,6 +40,7 @@
 		--with-libtool \
 		--enable-shared \
 		--enable-static \
+		--enable-filter-aaaa \
 		--with-openssl=/usr \
 		--with-gssapi=/usr \
 		--with-gnu-ld \
